## python-pyo 0.6.1

=== debian/changelog ===
python-pyo (0.6.1-1) unstable; urgency=low

  * Initial release. (Closes: #676712)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Fri, 08 Jun 2012 20:35:45 -0400

=== debian/rules ===
#!/usr/bin/make -f

export PYTHONWARNINGS=d
buildvers := $(shell pyversions -rv)

%:
	dh $@ --with python2

override_dh_auto_build:
	set -e; \
		for i in $(buildvers); do \
			python$$i setup.py build --use-jack; \
		done

override_dh_auto_install:
	set -e; \
		for i in $(buildvers); do \
			python$$i ./setup.py install --skip-build --root $(CURDIR)/debian/python-pyo --install-layout=deb; \
		done

## python-pyo 0.6.2

=== debian/changelog ===
python-pyo (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 03 Jul 2012 23:45:41 -0400

## python-pyo 0.6.3+svn1068

=== debian/changelog ===
python-pyo (0.6.3+svn1068-1) unstable; urgency=low

  * New upstream release.
  * Start tracking upstream svn.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Wed, 30 Jan 2013 00:41:56 -0500

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 override_dh_auto_build:
 	set -e; \
 		for i in $(buildvers); do \
-			python$$i setup.py build --use-jack; \
+			python$$i setup.py build --use-jack --use-double; \
 		done
 
 override_dh_auto_install:

## python-pyo 0.7.6

=== embedded/openframeworks/PyoTemplate/Makefile ===
# Attempt to load a config.make file.
# If none is found, project defaults in config.project.make will be used.
ifneq ($(wildcard config.make),)
	include config.make
endif

# make sure the the OF_ROOT location is defined
ifndef OF_ROOT
    OF_ROOT=../../..
endif

# call the project makefile!
include $(OF_ROOT)/libs/openFrameworksCompiled/project/makefileCommon/compile.project.mk

## python-pyo 0.6.6

=== debian/changelog ===
python-pyo (0.6.6-1~nd11.10+1) oneiric; urgency=low

  * Backported for oneiric.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 31 May 2013 12:20:16 -0400

python-pyo (0.6.6-1) unstable; urgency=low

  * New upstream release. It includes two new objects: CvlVerb: convolution
    based  multi-channel reverberation and Spectrum: spectrum analyzer with
    multi-channel display.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 14 May 2013 21:37:45 -0400

python-pyo (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 26 Feb 2013 23:40:59 -0500

=== debian/control ===
Source: python-pyo
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>=7.0.50~), python-all-dev, portaudio19-dev, libportmidi-dev, liblo-dev, libsndfile1-dev, libjack-dev
Standards-Version: 3.9.3
XS-Python-Version: >= 2.6
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/python-pyo.git
Vcs-Git: git://git.debian.org/git/pkg-multimedia/python-pyo.git
Homepage: http://code.google.com/p/pyo/

Package: python-pyo
Architecture: any
Depends: neurodebian-popularity-contest, python (>= 2.6), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: python-tk, python-imaging-tk, python-wxgtk2.8
Description: Python module written in C to help digital signal processing script creation
 pyo is a Python module containing classes for a wide variety of audio signal
 processing types. With pyo, user will be able to include signal processing
 chains directly in Python scripts or projects, and to manipulate them in real
 time through the interpreter. Tools in pyo module offer primitives, like
 mathematical operations on audio signal, basic signal processing (filters,
 delays, synthesis generators, etc.), but also complex algorithms to create
 sound granulation and others creative audio manipulations.
 .
 pyo supports OSC protocol (Open Sound Control), to ease communications between
 softwares, and MIDI protocol, for generating sound events and controlling
 process parameters.
 .
 pyo allows creation of sophisticated signal processing chains with all the
 benefits of a mature, and wildly used, general programming language.

## python-pyo 0.6.6+svn1108

=== debian/changelog ===
python-pyo (0.6.6+svn1108-1) unstable; urgency=low

  * New upstream commits adding 6 new filters and a couple of bug fixes.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 28 May 2013 14:27:12 -0400

## python-pyo 0.6.8

=== debian/changelog ===
python-pyo (0.6.8-1) unstable; urgency=low

  * New upstream version.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 26 Oct 2013 10:35:58 -0400

python-pyo (0.6.6+svn1132-2) unstable; urgency=low

  * Don't compress sample audio files.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Thu, 05 Sep 2013 10:19:57 -0400

python-pyo (0.6.6+svn1132-1) unstable; urgency=low

  * Added new objects:
    - PVMix, Mix the most prominent components from two phase vocoder streaming
      objects.
    - TableScale, Scales values from a table and writes them into another table.
    - Granule, another granular synthesis generator.
    - PVBufTabLoops, phase vocoder buffer with bin independent speed playback.
    - PVBufLoops, phase vocoder buffer with bin independent speed playback.
    - PVShift, spectral frequency shifter. PVAmpMod and PVFreqMod, frequency
      independent modulations.
    - PVDelay, spectral delays and PVBuffer, pv recorder and playback.
    - PVFilter. Spectral filtering.
    - PVCross, PVMult, PVMorph. Spectral morphing.
    - PVAddSynth, Phase Vocoder additive synthesis object.
  * Added E-Pyo binary to the package, accessible via Sound & Video menu.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 02 Sep 2013 17:25:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-pyo
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>=7.0.50~), python-all-dev, portaudio19-dev, libportmidi-dev, liblo-dev, libsndfile1-dev, libjack-dev
@@ -14,7 +13,7 @@
 
 Package: python-pyo
 Architecture: any
-Depends: neurodebian-popularity-contest, python (>= 2.6), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: python (>= 2.6), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Recommends: python-tk, python-imaging-tk, python-wxgtk2.8
 Description: Python module written in C to help digital signal processing script creation
  pyo is a Python module containing classes for a wide variety of audio signal

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,5 @@
 		for i in $(buildvers); do \
 			python$$i ./setup.py install --skip-build --root $(CURDIR)/debian/python-pyo --install-layout=deb; \
 		done
+override_dh_compress:
+	dh_compress -X.wav -X.aif -X.py

## python-pyo 0.6.9

=== debian/changelog ===
python-pyo (0.6.9-1) unstable; urgency=medium

  * New upstream version.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 13 Apr 2014 00:15:48 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>=7.0.50~), python-all-dev, portaudio19-dev, libportmidi-dev, liblo-dev, libsndfile1-dev, libjack-dev
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6

## python-pyo 0.7

=== debian/changelog ===
python-pyo (0.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Updates for wxPython 3.0 compatibility (Closes: #759092):
    - Fix deprecation warnings with wxPython 3.0.
    - Fix check for wxPython not to insist that 2.8 is installed before picking
      something that's 2.8 or newer.
    - Update uses of removed alias wx.Color to wx.Colour.
    - Update FileDialog flags to use the non-deprecated "FD_" prefixed form.

 -- Olly Betts <olly@survex.com>  Sat, 20 Sep 2014 01:34:09 +0000

python-pyo (0.7-2) unstable; urgency=low

  * Depends on python-wxgtk3.0 instead of python-wxgtk2.8 to have the
    graphical IDE (E-Pyo) working.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 30 Aug 2014 20:13:47 -0400

python-pyo (0.7-1) unstable; urgency=medium

  * New upstream version.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 30 Aug 2014 17:12:30 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: python-pyo
 Architecture: any
 Depends: python (>= 2.6), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Recommends: python-tk, python-imaging-tk, python-wxgtk2.8
+Recommends: python-tk, python-imaging-tk, python-wxgtk3.0
 Description: Python module written in C to help digital signal processing script creation
  pyo is a Python module containing classes for a wide variety of audio signal
  processing types. With pyo, user will be able to include signal processing

## python-pyo 0.7.5

=== debian/changelog ===
python-pyo (0.7.5-1) experimental; urgency=medium

  * New upstream version.
  * License changed from GPL to LGPL
  * Build-depends on libjack-jackd2-dev (was libjack-dev)
  * Recommends jackd2

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 23 Mar 2015 20:16:04 -0400

python-pyo (0.7.4-1) experimental; urgency=medium

  * New upstream version.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Thu, 29 Jan 2015 22:49:12 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
-Build-Depends: debhelper (>=7.0.50~), python-all-dev, portaudio19-dev, libportmidi-dev, liblo-dev, libsndfile1-dev, libjack-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>=7.0.50~), python-all-dev, portaudio19-dev, libportmidi-dev, liblo-dev, libsndfile1-dev, libjack-jackd2-dev
+Standards-Version: 3.9.6
 XS-Python-Version: >= 2.6
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/python-pyo.git
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/python-pyo.git
@@ -13,7 +13,7 @@
 Package: python-pyo
 Architecture: any
 Depends: python (>= 2.6), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Recommends: python-tk, python-imaging-tk, python-wxgtk3.0
+Recommends: python-tk, python-imaging-tk, python-wxgtk3.0, jackd2
 Description: Python module written in C to help digital signal processing script creation
  pyo is a Python module containing classes for a wide variety of audio signal
  processing types. With pyo, user will be able to include signal processing

## python-pyo 0.7.6

=== debian/changelog ===
python-pyo (0.7.6-1) unstable; urgency=medium

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 28 Jul 2015 17:02:57 -0400

## python-pyo 0.7.8+git20160129

=== debian/changelog ===
python-pyo (0.7.8+git20160129-1) unstable; urgency=medium

  * Fix segfault when rendering.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Fri, 29 Jan 2016 14:03:47 -0500

python-pyo (0.7.8-1) unstable; urgency=medium

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 19 Jan 2016 09:50:12 -0500

python-pyo (0.7.6+git20150826.1f0dc1aa93-1) unstable; urgency=medium

  * Added new objects: MidiListener and OscListener

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Wed, 26 Aug 2015 00:51:50 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>=7.0.50~), python-all-dev, portaudio19-dev, libportmidi-dev, liblo-dev, libsndfile1-dev, libjack-jackd2-dev
 Standards-Version: 3.9.6
 XS-Python-Version: >= 2.6
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/python-pyo.git
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/python-pyo.git
-Homepage: http://code.google.com/p/pyo/
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/python-pyo.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/python-pyo.git
+Homepage: http://ajaxsoundstudio.com/software/pyo/
 
 Package: python-pyo
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,6 @@
 		done
 override_dh_compress:
 	dh_compress -X.wav -X.aif -X.py
+
+override_dh_strip:
+	dh_strip --no-ddebs

=== debian/watch ===
version=3
http://pyo.googlecode.com/files/pyo_(.*)\-src.tar\.bz2

## python-pyo 0.7.9

=== debian/changelog ===
python-pyo (0.7.9-1) unstable; urgency=medium

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 07 Mar 2016 15:13:08 -0500

## python-pyo 0.8.2

=== debian/changelog ===
python-pyo (0.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 17 Dec 2016 22:02:35 -0500

python-pyo (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 13 Dec 2016 13:18:31 -0500

## python-pyo 0.8.6

=== debian/changelog ===
python-pyo (0.8.6-1build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 18:55:48 +1200

python-pyo (0.8.6-1build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 14:53:47 +1200

python-pyo (0.8.6-1) unstable; urgency=medium

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 09 May 2017 20:21:49 -0400

python-pyo (0.8.4-1) unstable; urgency=medium

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 28 Mar 2017 12:16:45 -0400

python-pyo (0.8.3+git20170311.01-1) unstable; urgency=medium

  * Added a setKeepLast method to TableRead object (will hold last value).

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 12 Mar 2017 17:36:32 -0400

python-pyo (0.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Thu, 02 Mar 2017 11:08:16 -0500

## python-pyo 0.8.8

=== debian/changelog ===
python-pyo (0.8.8-1) unstable; urgency=medium

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Thu, 16 Nov 2017 10:00:03 -0500

python-pyo (0.8.7-1) unstable; urgency=medium

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Thu, 31 Aug 2017 07:09:00 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
-Build-Depends: debhelper (>=7.0.50~), python-all-dev, portaudio19-dev, libportmidi-dev, liblo-dev, libsndfile1-dev, libjack-jackd2-dev
+Build-Depends: debhelper (>= 10), portaudio19-dev, libportmidi-dev, liblo-dev, libsndfile1-dev, libjack-jackd2-dev, dh-python, python-all-dev, python-setuptools, python3-all-dev, python3-setuptools
 Standards-Version: 3.9.6
-XS-Python-Version: >= 2.6
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/python-pyo.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/python-pyo.git
 Homepage: http://ajaxsoundstudio.com/software/pyo/
@@ -29,3 +30,27 @@
  .
  pyo allows creation of sophisticated signal processing chains with all the
  benefits of a mature, and wildly used, general programming language.
+ .
+ This package installs the library for Python 2.
+
+Package: python3-pyo
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Recommends: python3-tk, jackd2
+Description: Python3 module written in C to help digital signal processing script creation
+ pyo is a Python module containing classes for a wide variety of audio signal
+ processing types. With pyo, user will be able to include signal processing
+ chains directly in Python scripts or projects, and to manipulate them in real
+ time through the interpreter. Tools in pyo module offer primitives, like
+ mathematical operations on audio signal, basic signal processing (filters,
+ delays, synthesis generators, etc.), but also complex algorithms to create
+ sound granulation and others creative audio manipulations.
+ .
+ pyo supports OSC protocol (Open Sound Control), to ease communications between
+ softwares, and MIDI protocol, for generating sound events and controlling
+ process parameters.
+ .
+ pyo allows creation of sophisticated signal processing chains with all the
+ benefits of a mature, and wildly used, general programming language.
+ .
+ This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyo

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

#override_dh_auto_build:
#	set -e; \
#		for i in $(buildvers); do \
#			python$$i setup.py build --use-jack --use-double; \
#		done
#
#override_dh_auto_install:
#	set -e; \
#		for i in $(buildvers); do \
#			python$$i ./setup.py install --skip-build --root $(CURDIR)/debian/python-pyo --install-layout=deb; \
#		done

override_dh_compress:
	dh_compress -X.wav -X.aif -X.py

override_dh_strip:
	dh_strip --no-ddebs

## python-pyo 0.9.0

=== debian/changelog ===
python-pyo (0.9.0-2) unstable; urgency=medium

  * Enable automatic-dbgsym. (Closes: #885988)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Fri, 27 Jul 2018 08:38:36 -0400

python-pyo (0.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 21 Apr 2018 16:35:40 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: python-pyo
 Section: python
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
 Build-Depends: debhelper (>= 10), portaudio19-dev, libportmidi-dev, liblo-dev, libsndfile1-dev, libjack-jackd2-dev, dh-python, python-all-dev, python-setuptools, python3-all-dev, python3-setuptools
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/python-pyo.git
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/python-pyo.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/python-pyo
+Vcs-Git: https://salsa.debian.org/multimedia-team/python-pyo.git
 Homepage: http://ajaxsoundstudio.com/software/pyo/
 
 Package: python-pyo

## python-pyo 0.9.1

=== debian/changelog ===
python-pyo (0.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 04 Sep 2018 22:13:34 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,6 @@
 Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
 Build-Depends: debhelper (>= 10), portaudio19-dev, libportmidi-dev, liblo-dev, libsndfile1-dev, libjack-jackd2-dev, dh-python, python-all-dev, python-setuptools, python3-all-dev, python3-setuptools
 Standards-Version: 3.9.6
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/python-pyo
 Vcs-Git: https://salsa.debian.org/multimedia-team/python-pyo.git
 Homepage: http://ajaxsoundstudio.com/software/pyo/

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,4 @@
 	dh_compress -X.wav -X.aif -X.py
 
 override_dh_strip:
-	dh_strip --no-ddebs
+	dh_strip --automatic-dbgsym

## python-pyo 1.0.0

=== embedded/puredata/Makefile ===
## Pd library template version 1.0.13
# For instructions on how to use this template, see:
#  http://puredata.info/docs/developer/MakefileTemplate
LIBRARY_NAME = pyo~

# add your .c source files, one object per file, to the SOURCES
# variable, help files will be included automatically, and for GUI
# objects, the matching .tcl file too
SOURCES = pyo~.c

# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = pyo~.pd

# example patches and related files, in the 'examples' subfolder
EXAMPLES = 

# manuals and related files, in the 'manual' subfolder
MANUAL = manual.txt

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, test patches,
# documentation, etc.  README.txt and LICENSE.txt are required and therefore
# automatically included
EXTRA_DIST = m_pyo.h

# unit tests and related files here, in the 'unittests' subfolder
UNITTESTS = 

# added to support the multiple shared source files
SHARED_SOURCE = 
SHARED_LIB = lib$(LIBRARY_NAME).$(SHARED_EXTENSION)


#------------------------------------------------------------------------------#
#
# things you might need to edit if you are using other C libraries
#
#------------------------------------------------------------------------------#
UNAME := $(shell uname -s)
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
    ALL_CFLAGS = -I"$(PD_INCLUDE)" -I.. -Wno-unused-parameter -I/c/Python27/include
    ALL_LDFLAGS =  -lpython27
    SHARED_LDFLAGS =
    ALL_LIBS = -L/c/Python27/libs
endif
ifeq ($(UNAME),Darwin)
    MAC_SDK =                # put the path to your base SDK if you have problem to compile with the one given by python (ex: /Developer/SDKs/MacOSX10.6.sdk)
    ARCH_TYPE = i386         # can put multiple architectures if they are available with your environment (ex: ppc i386)
    ifeq ($(MAC_SDK),)
        PYTHONFLAGS = $(shell python-config --cflags)
    else
        PYTHONFLAGS = $(patsubst /%, $(MAC_SDK), $(shell python-config --cflags))
    endif
    ALL_CFLAGS = -I"$(PD_INCLUDE)" -I.. -Wno-unused-parameter $(PYTHONFLAGS)
    ALL_LDFLAGS = $(shell python-config --ldflags)
    SHARED_LDFLAGS =
    # ALL_LIBS = $(shell python-config --libs)
    ALL_LIBS = -ldl -framework CoreFoundation -framework Python
endif
ifeq ($(UNAME),Linux)
    ALL_CFLAGS = -I"$(PD_INCLUDE)" -I.. -Wno-unused-parameter $(shell python-config --cflags)
    ALL_LDFLAGS =  $(shell python-config --ldflags)
    SHARED_LDFLAGS =
    ALL_LIBS = $(shell python-config --libs)
endif

#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# these can be set from outside without (usually) breaking the build
CFLAGS = -Wall -W -g
LDFLAGS =
LIBS =

# get library version from meta file
LIBRARY_VERSION = $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(LIBRARY_NAME)-meta.pd)

ALL_CFLAGS += -DPD -DVERSION='"$(LIBRARY_VERSION)"'

PD_INCLUDE = $(PD_PATH)/include/pd
# where to install the library, overridden below depending on platform
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 644
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows)

DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
ORIGDIR=pd-$(LIBRARY_NAME:~=)_$(LIBRARY_VERSION)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_iphoneos)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = iphoneos
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
    ALL_CFLAGS := $(IPHONE_CFLAGS) $(ALL_CFLAGS)
    ALL_LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    SHARED_LDFLAGS += -arch armv6 -dynamiclib -undefined dynamic_lookup $(ISYSROOT)
    ALL_LIBS += -lc $(LIBS_iphoneos)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = macosx
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=2 -fast
# build universal 32-bit on 10.4 and 32/64 on newer
    ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
      # FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.5
      ARCHWITHOUT64 := $(filter-out x86_64,$(ARCH_TYPE))
      FAT_FLAGS = $(patsubst %,-arch %, $(ARCHWITHOUT64)) -mmacosx-version-min=10.5
    else
      # FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.5
      FAT_FLAGS = $(patsubst %,-arch %, $(ARCH_TYPE)) -mmacosx-version-min=10.5
      SOURCES += $(SOURCES_iphoneos)
    endif
    ALL_CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include
    # if the 'pd' binary exists, check the linking against it to aid with stripping
    BUNDLE_LOADER = $(shell test ! -e $(PD_PATH)/bin/pd || echo -bundle_loader $(PD_PATH)/bin/pd)
    ALL_LDFLAGS += $(FAT_FLAGS) -headerpad_max_install_names -bundle $(BUNDLE_LOADER) \
	-undefined dynamic_lookup -L/sw/lib
    SHARED_LDFLAGS += $(FAT_FLAGS) -dynamiclib -undefined dynamic_lookup \
	-install_name @loader_path/$(SHARED_LIB) -compatibility_version 1 -current_version 1.0
    ALL_LIBS += -lc $(LIBS_macosx)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
# install into ~/Library/Pd on Mac OS X since /usr/local isn't used much
    pkglibdir=$(HOME)/Library/Pd
  endif
endif
# Tho Android uses Linux, we use this fake uname to provide an easy way to
# setup all this things needed to cross-compile for Android using the NDK
ifeq ($(UNAME),ANDROID)
  CPU := arm
  SOURCES += $(SOURCES_android)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = android
  PD_PATH = /usr
  NDK_BASE := /usr/local/android-ndk
  NDK_PLATFORM_VERSION := 5
  NDK_SYSROOT=$(NDK_BASE)/platforms/android-$(NDK_PLATFORM_VERSION)/arch-arm
  NDK_UNAME := $(shell uname -s | tr '[A-Z]' '[a-z]')
  NDK_TOOLCHAIN_BASE=$(NDK_BASE)/toolchains/arm-linux-androideabi-4.4.3/prebuilt/$(NDK_UNAME)-x86
  CC := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-gcc --sysroot=$(NDK_SYSROOT)
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -rdynamic -shared
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  LIBS += -lc $(LIBS_android)
  STRIP := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-strip \
	--strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),Linux)
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU)
  # GNU/Hurd, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU/kFreeBSD)
  # Debian GNU/kFreeBSD, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = cygwin
  PD_PATH = $(shell cygpath $$PROGRAMFILES)/pd
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += 
  ALL_LDFLAGS += -rdynamic -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc -lpd $(LIBS_cygwin)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = windows
  PD_PATH = $(shell cd "$$PROGRAMFILES/pd" && pwd)
  # MinGW doesn't seem to include cc so force gcc
  CC=gcc
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -mms-bitfields
  ALL_LDFLAGS += -s -shared -Wl,--enable-auto-import
  SHARED_LDFLAGS += -shared
  ALL_LIBS += -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj" \
	-lpd -lwsock32 -lkernel32 -luser32 -lgdi32 -liberty $(LIBS_windows)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

# in case somebody manually set the HELPPATCHES above
HELPPATCHES ?= $(SOURCES:.c=-help.pd) $(PDOBJECTS:.pd=-help.pd)

ALL_CFLAGS := $(ALL_CFLAGS) $(CFLAGS) $(OPT_CFLAGS)
ALL_LDFLAGS := $(LDFLAGS) $(ALL_LDFLAGS)
ALL_LIBS := $(LIBS) $(ALL_LIBS)

SHARED_SOURCE ?= $(wildcard lib$(LIBRARY_NAME).c)
SHARED_HEADER ?= $(shell test ! -e $(LIBRARY_NAME).h || echo $(LIBRARY_NAME).h)
SHARED_LIB ?= $(SHARED_SOURCE:.c=.$(SHARED_EXTENSION))
SHARED_TCL_LIB = $(wildcard lib$(LIBRARY_NAME).tcl)

.PHONY = install libdir_install single_install install-doc install-examples install-manual install-unittests clean distclean dist etags $(LIBRARY_NAME)

all: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB)

%.o: %.c
	$(CC) $(ALL_CFLAGS) -o "$*.o" -c "$*.c"

%.$(EXTENSION): %.o $(SHARED_LIB)
	$(CC) $(ALL_LDFLAGS) -o "$*.$(EXTENSION)" "$*.o"  $(ALL_LIBS) $(SHARED_LIB)
	chmod a-x "$*.$(EXTENSION)"

# this links everything into a single binary file
$(LIBRARY_NAME): $(SOURCES:.c=.o) $(LIBRARY_NAME).o lib$(LIBRARY_NAME).o
	$(CC) $(ALL_LDFLAGS) -o $(LIBRARY_NAME).$(EXTENSION) $(SOURCES:.c=.o) \
		$(LIBRARY_NAME).o lib$(LIBRARY_NAME).o $(ALL_LIBS)
	chmod a-x $(LIBRARY_NAME).$(EXTENSION)

$(SHARED_LIB): $(SHARED_SOURCE:.c=.o)
	$(CC) $(SHARED_LDFLAGS) -o $(SHARED_LIB) $(SHARED_SOURCE:.c=.o) $(ALL_LIBS)

install: single_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
libdir_install: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB) install-doc install-examples install-manual install-unittests
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES))" || (\
		$(INSTALL_PROGRAM) $(SOURCES:.c=.$(EXTENSION)) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME) && \

=== debian/changelog ===
python-pyo (1.0.0-2.1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:23:51 +0100

python-pyo (1.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938081

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Jan 2020 20:23:01 -0500

python-pyo (1.0.0-2) unstable; urgency=medium

  * Fix epyo script overwriting.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 05 Oct 2019 14:58:39 -0400

python-pyo (1.0.0-1) unstable; urgency=medium

  * First stable upstream release!

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 28 Sep 2019 22:29:58 -0400

## python-pyo 1.0.2

=== debian/changelog ===
python-pyo (1.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Wed, 19 Aug 2020 06:58:42 -0400

## python-pyo 1.0.3

=== debian/changelog ===
python-pyo (1.0.3-0.1) unstable; urgency=medium

  * New upstream version.
  * Fix build with python 3.9

 -- Matthias Klose <doko@debian.org>  Thu, 15 Oct 2020 10:48:52 +0200

=== debian/control ===
Source: python-pyo
Section: python
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
Build-Depends: debhelper (>= 10), portaudio19-dev, libportmidi-dev, liblo-dev, libsndfile1-dev, libjack-jackd2-dev, dh-python, python3-all-dev, python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/multimedia-team/python-pyo
Vcs-Git: https://salsa.debian.org/multimedia-team/python-pyo.git
Homepage: http://ajaxsoundstudio.com/software/pyo/

Package: python3-pyo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Recommends: python3-tk, jackd2
Description: Python3 module written in C to help digital signal processing script creation
 pyo is a Python module containing classes for a wide variety of audio signal
 processing types. With pyo, user will be able to include signal processing
 chains directly in Python scripts or projects, and to manipulate them in real
 time through the interpreter. Tools in pyo module offer primitives, like
 mathematical operations on audio signal, basic signal processing (filters,
 delays, synthesis generators, etc.), but also complex algorithms to create
 sound granulation and others creative audio manipulations.
 .
 pyo supports OSC protocol (Open Sound Control), to ease communications between
 softwares, and MIDI protocol, for generating sound events and controlling
 process parameters.
 .
 pyo allows creation of sophisticated signal processing chains with all the
 benefits of a mature, and wildly used, general programming language.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=pyo
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 #override_dh_auto_build:
 #	set -e; \
@@ -11,7 +11,9 @@
 #			python$$i setup.py build --use-jack --use-double; \
 #		done
 #
-#override_dh_auto_install:
+override_dh_install:
+	dh_install
+	rm -f $(CURDIR)/debian/python-pyo/usr/bin/epyo $(CURDIR)/debian/python3-pyo/usr/bin/epyo
 #	set -e; \
 #		for i in $(buildvers); do \
 #			python$$i ./setup.py install --skip-build --root $(CURDIR)/debian/python-pyo --install-layout=deb; \

## python-pyo 1.0.4

=== debian/changelog ===
python-pyo (1.0.4-1) unstable; urgency=medium

  * New upstream version.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 17 Aug 2021 10:26:57 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
 Build-Depends: debhelper (>= 10), portaudio19-dev, libportmidi-dev, liblo-dev, libsndfile1-dev, libjack-jackd2-dev, dh-python, python3-all-dev, python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/multimedia-team/python-pyo
 Vcs-Git: https://salsa.debian.org/multimedia-team/python-pyo.git
 Homepage: http://ajaxsoundstudio.com/software/pyo/

## python-pyo 1.0.5

=== embedded/puredata/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-## Pd library template version 1.0.13
+## Pd library template version 1.0.14
 # For instructions on how to use this template, see:
 #  http://puredata.info/docs/developer/MakefileTemplate
 LIBRARY_NAME = pyo~
@@ -22,14 +22,11 @@
 # list them here.  This can be anything from header files, test patches,
 # documentation, etc.  README.txt and LICENSE.txt are required and therefore
 # automatically included
-EXTRA_DIST = m_pyo.h
+EXTRA_DIST =  m_pyo.h
 
 # unit tests and related files here, in the 'unittests' subfolder
 UNITTESTS = 
 
-# added to support the multiple shared source files
-SHARED_SOURCE = 
-SHARED_LIB = lib$(LIBRARY_NAME).$(SHARED_EXTENSION)
 
 
 #------------------------------------------------------------------------------#
@@ -37,33 +34,12 @@
 # things you might need to edit if you are using other C libraries
 #
 #------------------------------------------------------------------------------#
-UNAME := $(shell uname -s)
-ifeq (MINGW,$(findstring MINGW,$(UNAME)))
-    ALL_CFLAGS = -I"$(PD_INCLUDE)" -I.. -Wno-unused-parameter -I/c/Python27/include
-    ALL_LDFLAGS =  -lpython27
-    SHARED_LDFLAGS =
-    ALL_LIBS = -L/c/Python27/libs
-endif
-ifeq ($(UNAME),Darwin)
-    MAC_SDK =                # put the path to your base SDK if you have problem to compile with the one given by python (ex: /Developer/SDKs/MacOSX10.6.sdk)
-    ARCH_TYPE = i386         # can put multiple architectures if they are available with your environment (ex: ppc i386)
-    ifeq ($(MAC_SDK),)
-        PYTHONFLAGS = $(shell python-config --cflags)
-    else
-        PYTHONFLAGS = $(patsubst /%, $(MAC_SDK), $(shell python-config --cflags))
-    endif
-    ALL_CFLAGS = -I"$(PD_INCLUDE)" -I.. -Wno-unused-parameter $(PYTHONFLAGS)
-    ALL_LDFLAGS = $(shell python-config --ldflags)
-    SHARED_LDFLAGS =
-    # ALL_LIBS = $(shell python-config --libs)
-    ALL_LIBS = -ldl -framework CoreFoundation -framework Python
-endif
-ifeq ($(UNAME),Linux)
-    ALL_CFLAGS = -I"$(PD_INCLUDE)" -I.. -Wno-unused-parameter $(shell python-config --cflags)
-    ALL_LDFLAGS =  $(shell python-config --ldflags)
-    SHARED_LDFLAGS =
-    ALL_LIBS = $(shell python-config --libs)
-endif
+
+ALL_CFLAGS = -I"$(PD_INCLUDE)" -I.. -Wno-cast-function-type -Wno-unused-parameter $(shell python3-config --cflags)
+ALL_LDFLAGS = $(shell python3-config --ldflags)
+SHARED_LDFLAGS =
+ALL_LIBS = $(shell python3-config --libs)
+
 
 #------------------------------------------------------------------------------#
 #
@@ -130,13 +106,15 @@
     OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=2 -fast
 # build universal 32-bit on 10.4 and 32/64 on newer
     ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
-      # FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.5
-      ARCHWITHOUT64 := $(filter-out x86_64,$(ARCH_TYPE))
-      FAT_FLAGS = $(patsubst %,-arch %, $(ARCHWITHOUT64)) -mmacosx-version-min=10.5
+      FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.4
     else
-      # FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.5
-      FAT_FLAGS = $(patsubst %,-arch %, $(ARCH_TYPE)) -mmacosx-version-min=10.5
       SOURCES += $(SOURCES_iphoneos)
+# Starting with Xcode 4.0, the PowerPC compiler is not installed by default
+      ifeq ($(wildcard /usr/llvm-gcc-4.2/libexec/gcc/powerpc*), )
+        FAT_FLAGS = -arch i386 -arch x86_64 -mmacosx-version-min=10.5
+      else
+        FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.4
+      endif
     endif
     ALL_CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include
     # if the 'pd' binary exists, check the linking against it to aid with stripping
@@ -157,29 +135,55 @@
 ifeq ($(UNAME),ANDROID)
   CPU := arm
   SOURCES += $(SOURCES_android)
-  EXTENSION = pd_linux
+  EXTENSION = so
   SHARED_EXTENSION = so
   OS = android
   PD_PATH = /usr
   NDK_BASE := /usr/local/android-ndk
-  NDK_PLATFORM_VERSION := 5
-  NDK_SYSROOT=$(NDK_BASE)/platforms/android-$(NDK_PLATFORM_VERSION)/arch-arm
+  NDK_PLATFORM_LEVEL ?= 5
+  NDK_ABI=arm
+  NDK_SYSROOT=$(NDK_BASE)/platforms/android-$(NDK_PLATFORM_LEVEL)/arch-$(NDK_ABI)
   NDK_UNAME := $(shell uname -s | tr '[A-Z]' '[a-z]')
-  NDK_TOOLCHAIN_BASE=$(NDK_BASE)/toolchains/arm-linux-androideabi-4.4.3/prebuilt/$(NDK_UNAME)-x86
-  CC := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-gcc --sysroot=$(NDK_SYSROOT)
+  NDK_COMPILER_VERSION=4.6
+  NDK_TOOLCHAIN=$(wildcard \
+	$(NDK_BASE)/toolchains/$(NDK_ABI)*-$(NDK_COMPILER_VERSION)/prebuilt/$(NDK_UNAME)-x86)
+  CC := $(wildcard $(NDK_TOOLCHAIN)/bin/*-linux-android*-gcc) --sysroot=$(NDK_SYSROOT)
   OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
   CFLAGS += 
   LDFLAGS += -rdynamic -shared
   SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
   LIBS += -lc $(LIBS_android)
-  STRIP := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-strip \
+  STRIP := $(wildcard $(NDK_TOOLCHAIN)/bin/$(NDK_ABI)-linux-android*-strip) \
 	--strip-unneeded -R .note -R .comment
   DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
 endif
 ifeq ($(UNAME),Linux)
   CPU := $(shell uname -m)
+  EXTENSION = pd_linux
+  ifeq ($(findstring arm,$(CPU)),arm)
+    EXTENSION = l_arm
+  endif
+  ifeq ($(CPU),i386)
+    EXTENSION = l_i386
+  endif
+  ifeq ($(CPU),i486)
+    EXTENSION = l_i386
+  endif
+  ifeq ($(CPU),i586)
+    EXTENSION = l_i386
+  endif
+  ifeq ($(CPU),i686)
+    EXTENSION = l_i386
+  endif
+  ifeq ($(CPU),amd64)
+    # amd64 and ia64 aren't the same thing, but that's how its done in pd...
+    EXTENSION = l_ia64
+  endif
+  ifeq ($(CPU),x86_64)
+    # x86_64 and ia64 aren't the same thing, but that's how its done in pd...
+    EXTENSION = l_ia64
+  endif
   SOURCES += $(SOURCES_linux)
-  EXTENSION = pd_linux
   SHARED_EXTENSION = so
   OS = linux
   PD_PATH = /usr
@@ -289,7 +293,7 @@
 $(SHARED_LIB): $(SHARED_SOURCE:.c=.o)
 	$(CC) $(SHARED_LDFLAGS) -o $(SHARED_LIB) $(SHARED_SOURCE:.c=.o) $(ALL_LIBS)
 
-install: single_install
+install: libdir_install
 
 # The meta and help files are explicitly installed to make sure they are
 # actually there.  Those files are not optional, then need to be there.
@@ -299,3 +303,14 @@
 		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
 	test -z "$(strip $(SOURCES))" || (\
 		$(INSTALL_PROGRAM) $(SOURCES:.c=.$(EXTENSION)) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME) && \
+		$(STRIP) $(addprefix $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/,$(SOURCES:.c=.$(EXTENSION))))
+	test -z "$(strip $(SHARED_LIB))" || \
+		$(INSTALL_DATA) $(SHARED_LIB) \
+			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
+	test -z "$(strip $(wildcard $(SOURCES:.c=.tcl)))" || \
+		$(INSTALL_DATA) $(wildcard $(SOURCES:.c=.tcl)) \
+			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
+	test -z "$(strip $(PDOBJECTS))" || \
+		$(INSTALL_DATA) $(PDOBJECTS) \
+			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
+	test -z "$(strip $(SHARED_TCL_LIB))" || \

=== debian/changelog ===
python-pyo (1.0.5-5build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:58:20 +0000

python-pyo (1.0.5-5build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:27:25 +0100

python-pyo (1.0.5-5) unstable; urgency=medium

  * Adding back E-Pyo editor. 

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Wed, 20 Sep 2023 10:38:11 -0400

python-pyo (1.0.5-4) unstable; urgency=medium

  * Update watch file to reflect new upstream VCS.
  * Update Homepage field in control
  * Update Standards-Version to 4.6.2

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Wed, 13 Sep 2023 03:53:37 -0400

python-pyo (1.0.5-3) unstable; urgency=medium

  * Quick fix for unit test for 32-bit archs. Closes: #1038126.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Fri, 11 Aug 2023 10:29:48 -0400

python-pyo (1.0.5-2) unstable; urgency=medium

  * Add autopkgtest-pkg-pybuild to call upstream tests in ./tests/pytests
  * Add patch which fixes a test from upstream
  * Add patch which removes an upstream test requiring an audio card

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 28 Mar 2023 14:39:33 -0400

python-pyo (1.0.5-1) unstable; urgency=medium

  * New upstream version.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 27 Mar 2023 06:54:23 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
-Build-Depends: debhelper (>= 10), portaudio19-dev, libportmidi-dev, liblo-dev, libsndfile1-dev, libjack-jackd2-dev, dh-python, python3-all-dev, python3-setuptools
-Standards-Version: 4.5.1
+Build-Depends: debhelper (>= 10), portaudio19-dev, libportmidi-dev, liblo-dev, libsndfile1-dev, libjack-jackd2-dev, dh-python, python3-all-dev, python3-setuptools, python3-pytest, python3-mock, python3-numpy
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/python-pyo
 Vcs-Git: https://salsa.debian.org/multimedia-team/python-pyo.git
-Homepage: http://ajaxsoundstudio.com/software/pyo/
+Homepage: https://github.com/belangeo/pyo
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pyo
 Architecture: any

=== debian/watch ===
version=4
opts="\
    compression=gz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//, \
    downloadurlmangle=s#/tag/#/download/#;s#(@ANY_VERSION@)$#$1/pyo-$2.tar.gz#, \
    filenamemangle=s#@ANY_VERSION@#pyo-$1.tar.gz#" \
https://github.com/belangeo/pyo/tags .*/releases/tag/@ANY_VERSION@
